TRELLIS.2 LoRA Inference
集成
模型 id
trellis-2-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/trellis-2-lora?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/trellis-2-lora", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "trellis-2-lora",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
通过 Doitong API 调用 TRELLIS.2 LoRA Inference 模型(trellis-2-lora)。智能体文档:https://doitong.com/zh/developers/models/trellis-2-lora.md
POST https://api.doitong.com/v1/run/trellis-2-lora?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/trellis-2-lora,可在运行前返回确切价格。
此请求: $0.25 250 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/trellis-2-lora?wait=20
报价 → $0.25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/trellis-2-lora?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/trellis-2-lora", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "trellis-2-lora",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
关于 TRELLIS.2 LoRA Inference
根据 `image_url` 生成 GLB,并可通过 `sparse_structure_lora_url`、`geometry_lora_url` 和 `texture_lora_url` 应用 safetensors LoRA。`resolution` 为 512 或 1024,且必须与适配器的训练分辨率匹配。还提供各阶段的引导和步数控制、`decimation_target` 及 `texture_size`。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
image_url必填
image
类型url · image
用于转换为 3D 模型的源图像 URL。
sparse_structure_lora_url可选
类型string | null
可选的 safetensors 格式 LoRA 检查点,专门为稀疏结构降噪器训练。
geometry_lora_url可选
类型string | null
可选的 safetensors 格式 LoRA 检查点,专门为几何降噪器训练。
texture_lora_url可选
类型string | null
可选的 safetensors 格式 LoRA 检查点,专门为纹理降噪器训练。
seed可选
类型integer | null
使生成结果可复现的随机种子。
resolution可选
类型enum
默认值512
5121024
生成分辨率,1024 会选择级联流水线。选择用于训练所提供 LoRA 适配器的分辨率;两者必须匹配。
ss_guidance_strength可选
类型number
默认值7.5
0 – 10
稀疏结构生成期间的无分类器指导强度。
ss_guidance_rescale可选
类型number
默认值0.7
0 – 1
稀疏结构生成期间的指导重缩放。值越大,输出越稳定。
ss_guidance_interval_start可选
类型number
默认值0.6
0 – 1
稀疏结构指导开始时对应的降噪进度比例。
ss_guidance_interval_end可选
类型number
默认值1
0 – 1
使用不小于 `ss_guidance_interval_start` 的降噪比例,指定稀疏结构指导停止的时间。
ss_sampling_steps可选
类型integer
默认值12
1 – 50
稀疏结构生成期间使用的降噪步数。
ss_rescale_t可选
类型number
默认值5
1 – 6
稀疏结构生成期间噪声调度的锐度。
shape_slat_guidance_strength可选
类型number
默认值7.5
0 – 10
形状生成期间的无分类器指导强度。
shape_slat_guidance_rescale可选
类型number
默认值0.5
0 – 1
形状生成期间应用于指导的重缩放;当几何结构出现噪声时提高此值。
shape_slat_guidance_interval_start可选
类型number
默认值0.6
0 – 1
形状阶段指导开始时对应的降噪比例。
shape_slat_guidance_interval_end可选
类型number
默认值1
0 – 1
形状阶段指导的停止点,以不小于 shape_slat_guidance_interval_start 的降噪比例表示。
shape_slat_sampling_steps可选
类型integer
默认值12
1 – 50
形状生成期间的降噪步数。
shape_slat_rescale_t可选
类型number
默认值3
1 – 6
形状生成期间噪声调度的锐度。
tex_slat_guidance_strength可选
类型number
默认值1
0 – 10
纹理生成期间的无分类器指导强度。
tex_slat_guidance_rescale可选
类型number
默认值0
0 – 1
纹理生成期间应用于指导的重缩放;当纹理出现噪声时提高此值。
tex_slat_guidance_interval_start可选
类型number
默认值0.6
0 – 1
纹理阶段指导开始时对应的降噪比例。
tex_slat_guidance_interval_end可选
类型number
默认值0.9
0 – 1
纹理阶段指导的停止点,以不小于 tex_slat_guidance_interval_start 的降噪比例表示。
tex_slat_sampling_steps可选
类型integer
默认值12
1 – 50
纹理生成期间的降噪步数。
tex_slat_rescale_t可选
类型number
默认值3
1 – 6
纹理生成期间噪声调度的锐度。
decimation_target可选
类型integer
默认值500000
5,000 – 2,000,000
GLB 导出所需的顶点数量。
texture_size可选
类型enum
默认值2048
102420484096
烘焙到 GLB 导出文件中的纹理分辨率。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "trellis-2-lora",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42,
"resolution": 1,
"sparse_structure_lora_url": "string",
"geometry_lora_url": "string",
"texture_lora_url": "string",
"decimation_target": 1,
"texture_size": 1
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- model_glb
- object {url, content_type, file_name, file_size}包含生成的 3D 模型的 GLB 文件。
- seed
- integer生成过程中应用的种子。
- resolution
- integer执行生成时使用的分辨率。
- sparse_structure_lora_url
- string | null生成期间使用的稀疏结构 LoRA 检查点(如果应用了)。
- geometry_lora_url
- string | null生成期间使用的几何 LoRA 检查点(如果应用了)。
- texture_lora_url
- string | null生成期间使用的纹理 LoRA 检查点(如果应用了)。
- decimation_target
- integer应用于 GLB 导出的顶点数目标值。
- texture_size
- integer烘焙到 GLB 导出文件中的纹理分辨率。
更多模型:图像转 3D
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/trellis-2-lora.md. 所有模型和指南: https://doitong.com/developers/llms.txt